import 'dart:typed_data';

import 'package:vid/us/vid_us_data_http_reader.dart';

import '../vid_data.dart';
import 'reader.dart';

class AsyncCachedVidImageData extends AsyncVidImageDataBase {
  final Uint8List buffer;

  AsyncCachedVidImageData(this.buffer, {DownloadCallback? downloadCallback})
      : super('', downloadCallback: downloadCallback);

  @override
  AsyncCachedVidDataReader createReader(
    String url, {
    DownloadCallback? downloadCallback,
  }) =>
      AsyncCachedVidDataReader(buffer, downloadCallback: downloadCallback);
}
