import 'package:fis_common/env/env.dart';
import 'package:fis_jsonrpc/services/platform.dart';

typedef VDHSPlatformServiceGetter = PlatformService Function();

class VidDataHostEnv {
  static VDHSPlatformServiceGetter? _platformGetter;

  static bool get isShell => FPlatform.isWindows || FPlatform.isMacOS;
  // static bool get isShell => false;

  static VDHSPlatformServiceGetter? get platformGetter => _platformGetter;

  static void setPlatformGetter(VDHSPlatformServiceGetter getter) {
    _platformGetter = getter;
  }
}
